Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.management
Class ContextHandlerMBean

    java.lang.Object
      org.mortbay.management.ObjectMBean
          org.mortbay.jetty.handler.management.ContextHandlerMBean

All Implemented Interfaces:
  DynamicMBean

Direct Known Subclasses:
  WebAppContextMBean

    public class ContextHandlerMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.mortbay.management.ObjectMBean
`_managed`

Constructor Summary
`ContextHandlerMBean(Object managedObject)`

Method Summary
`Map` | `getContextAttributes()`
`String` | `getObjectNameBasis()`
`void` | `removeContextAttribute(String name)`
`void` | `setContextAttribute(String name, Object value)`
`void` | `setContextAttribute(String name, String value)`

Methods inherited from class org.mortbay.management.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextHandlerMBean

    public ContextHandlerMBean(Object managedObject)

Method Detail

### getObjectNameBasis

    public String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ObjectMBean`

### getContextAttributes

    public Map getContextAttributes()

### setContextAttribute

    public void setContextAttribute(String name,
                                    Object value)

### setContextAttribute

    public void setContextAttribute(String name,
                                    String value)

### removeContextAttribute

    public void removeContextAttribute(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.